package com.tofly.xrtygis.custom.service.zsdata;

import com.tofly.xrtygis.custom.entity.dataquery.WaterPlanSearch;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

/**
 * @author FlashWJL
 * @date 2021/5/14 14:53
 */
public interface DataOfferWaterService {
    List<Map> quarterDataOffer(HttpServletResponse response, WaterPlanSearch search);

    List<Map>  monthDataOffer(HttpServletResponse response, WaterPlanSearch search);

    List<Map> yearDataOffer(HttpServletResponse response, WaterPlanSearch search);
}
